#
# spec file for package compton
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           compton
Version:        0.1.0
Release:        7.2
Summary:        A compositor for X11
License:        MIT
Group:          System/X11/Utilities
Url:            https://github.com/chjj/compton
Source:         %{name}-%{version}.tar.bz2
Patch0:         %{name}-0.1.0-fix_desktop_file.patch
BuildRequires:  asciidoc
BuildRequires:  gcc-c++
BuildRequires:  git
BuildRequires:  make
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libconfig)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  libxslt-tools
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif
Requires(pre):	desktop-file-utils
Requires(post):	desktop-file-utils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Compton was forked from Dana Jansens' fork of xcompmgr and refactored.

%prep
%setup
%patch0 -p1

%build
# Export the COMPTON_VERSION variable (you may also pass it to make directly)
export COMPTON_VERSION=%{version}
export CFLAGS="$RPM_OPT_FLAGS"
%__make
%__make docs

%install
%if 0%{?suse_version}
%makeinstall
%suse_update_desktop_file compton Utility DesktopUtility
%endif
%if 0%{?fedora_version}
make DESTDIR=$RPM_BUILD_ROOT install
%endif

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root,-)
%doc README.md LICENSE
%{_bindir}/compton
%{_bindir}/compton-trans
%{_mandir}/man1/compton.1.gz
%{_mandir}/man1/compton-trans.1.gz
%{_datadir}/applications/*.desktop

%changelog
* Sun Jan 25 2015 sfalken@opensuse.org
- Added conditionals to support building on Fedora
* Sun May 11 2014 andrea@opensuse.org
- major spec file cleanup
- allow cross distro building with fedora
* Tue Aug 13 2013 petr@yarpen.cz
- version 0.1.0
* Mon Jan 28 2013 petr@yarpen.cz
- new dependencies: git, dbus-1
- COMPTON_VERSION set for building
* Fri Oct 26 2012 petr@yarpen.cz
- Version bump to 0.0.1
* Mon Oct  1 2012 petr@scribus.info
- Initial package 0.0.0
